[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# IsNan

Check whether value is Not a Number

## Declaration

Source position: line 0

`function IsNan(`
`const d: Single`
`):Boolean; overload; function IsNan(`
`const d: Extended`
`):Boolean; overload;`

## Description

IsNan returns True if the double d contains Not A Number (a value which cannot be represented correctly in double format).

## See also

IsZero |  | Check whether value is zero
IsInfinite |  | Check whether value is infinite

Documentation generated on: Feb 26 2014